
QGIS Application - Bug report #4082

CTRL-C in the console used to start QGIS has no effect

2011-07-14 04:55 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 14065

Description

Once QGIS booted up you can't kill it with ^C.

It is possble during the splash screen.

The only way to kill it afterwards is to suspend (^Z)

and send an explicit SIGKILL with kill(1)

Not sure if "GUI" is the correct category for this.

This happens as post-1.7.0 git (3ac604f)

History

#1 - 2011-07-14 05:46 AM - Sandro Santilli

libqt is 4.6.2-0ubuntu5.2

libqwt is 5.2.0-1build1

python is 2.6.5

bash 4.1.5(1)-release (x86_64-pc-linux-gnu)

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-12-14 09:10 AM - Sandro Santilli

- Status changed from Open to Closed

- Resolution set to wontfix

- Pull Request or Patch supplied set to No

If nobody answered this so far I guess it is by design. I can live with ^Z && kill -9
